Bug 174202 - Introducing JavaClassPathConstants.PROCESSOR_PATH
Introducing JavaClassPathConstants.PROCESSOR_PATH
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Classpath
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
http://lahoda.info/hgwebdir.cgi/nb-pa...
: API, API_REVIEW_FAST
Depends on:
Blocks: 173202
  Show dependency treegraph
 
Reported: 2009-10-09 10:59 UTC by Jan Lahoda
Modified: 2009-10-22 23:37 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch. (7.71 KB, patch)
2009-10-09 11:02 UTC, Jan Lahoda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2009-10-09 10:59:17 UTC
I would like to introduce JavaClassPathConstants.PROCESSOR_PATH. This would be key for ClassPath.getClassPath for the
Java processor path.
Comment 1 Jan Lahoda 2009-10-09 11:02:29 UTC
Created attachment 89175 [details]
Proposed patch.
Comment 2 Jan Lahoda 2009-10-09 11:03:32 UTC
Please review.
Comment 3 Tomas Zezula 2009-10-09 11:10:52 UTC
OK for me.
Maybe we should also create aliases for old ClassPath constants in the JavaClassPathConstants and possibly deprecate the ClassPath constants.

class JavaClassPathConstants {
   psf String COMPILE = CP.COMPILE;
   ....
}

But this is unrelated to this API review.
Comment 4 Vitezslav Stejskal 2009-10-09 11:22:38 UTC
VS01: What is the relation of JCPC.PROCESSOR_PATH to scanning? Do we need to update JavaPathRecognizer? Pardon my
ignorance, but I just don't know what java processor is and what sort of classpath it needs.

re. ClassPath constants - Deprecating those would be very useful. People tend to thing that these constants can be used
for all languages/project types, but they are only for java and java based projects. But as tzezula says this is not
part of this API change.
Comment 5 Jan Lahoda 2009-10-09 11:53:16 UTC
VS01: Sorry, I should have been more clear and precise: it is a classpath on which Java annotation processors are being
searched. It corresponds to javac -processorpath. I currently do not see a reason to index roots on this classpath.
Comment 6 Vitezslav Stejskal 2009-10-09 12:32:58 UTC
VS01: I see, ok, thanks.
Comment 7 Jesse Glick 2009-10-15 15:09:29 UTC
Looks OK to me.
Comment 8 Jan Lahoda 2009-10-19 08:17:44 UTC
Thanks for the review.
Comment 9 Jan Lahoda 2009-10-19 08:18:08 UTC
Integrated in jet-main:
http://hg.netbeans.org/jet-main/rev/c4005287acdf
Comment 10 Quality Engineering 2009-10-22 23:37:16 UTC
Integrated into 'main-golden', will be available in build *200910221401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c4005287acdf
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #174202: introducing JavaClassPathConstants.PROCESSOR_PATH.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo